/*
 * CubeVerts.h
 *
 *  Created on: Dec 23, 2009
 *      Author: enash
 *
 *      defines a simple cube, 1 unit width, height, depth, centered at 0,0,0
 */

	// the little cube
	VERTTYPE verts[] = {
			//front face
			f2vt(-0.5f), f2vt(-0.5f), f2vt(0.5f),	// bottom, left
			f2vt(0.5f), f2vt(-0.5f), f2vt(0.5f),	// bottom, right
			f2vt(0.5f), f2vt(0.5f), f2vt(0.5f),	// top, right
			f2vt(-0.5f), f2vt(0.5f), f2vt(0.5f),	// top, left
			//back face
			f2vt(-0.5f), f2vt(-0.5f), f2vt(-0.5f),	// bottom, left
			f2vt(0.5f), f2vt(-0.5f), f2vt(-0.5f),	// bottom, right
			f2vt(0.5f), f2vt(0.5f), f2vt(-0.5f),		// top, right
			f2vt(-0.5f), f2vt(0.5f), f2vt(-0.5f),	// top, left
			//top face
			f2vt(-0.5f), f2vt(0.5f), f2vt(0.5f),	// front, left
			f2vt(0.5f), f2vt(0.5f), f2vt(0.5f),	// front, right
			f2vt(0.5f), f2vt(0.5f), f2vt(-0.5f),		// back, right
			f2vt(-0.5f), f2vt(0.5f), f2vt(-0.5f),	// back, left
			//bottom face
			f2vt(-0.5f), f2vt(-0.5f), f2vt(0.5f),	// front, left
			f2vt(0.5f), f2vt(-0.5f), f2vt(0.5f),	// front, right
			f2vt(0.5f), f2vt(-0.5f), f2vt(-0.5f),	// back, right
			f2vt(-0.5f), f2vt(-0.5f), f2vt(-0.5f),	// back, left
			//left face
			f2vt(-0.5f), f2vt(-0.5f), f2vt(-0.5f),	// bottom, back
			f2vt(-0.5f), f2vt(-0.5f), f2vt(0.5f),	// bottom, front
			f2vt(-0.5f), f2vt(0.5f), f2vt(0.5f),	// top, front
			f2vt(-0.5f), f2vt(0.5f), f2vt(-0.5f),	// top, back
			//right face
			f2vt(0.5f), f2vt(-0.5f), f2vt(-0.5f),	// bottom, back
			f2vt(0.5f), f2vt(-0.5f), f2vt(0.5f),	// bottom, front
			f2vt(0.5f), f2vt(0.5f), f2vt(0.5f),	// top, front
			f2vt(0.5f), f2vt(0.5f), f2vt(-0.5f)		// top, back
	};

	VERTTYPE normals[] = {
			//front face
			f2vt(0.0f), f2vt(0.0f), f2vt(1.0f),	// bottom, left
			f2vt(0.0f), f2vt(0.0f), f2vt(1.0f),	// bottom, right
			f2vt(0.0f), f2vt(0.0f), f2vt(1.0f),	// top, right
			f2vt(0.0f), f2vt(0.0f), f2vt(1.0f),	// top, left
			//back face
			f2vt(0.0f), f2vt(0.0f), f2vt(-1.0f),		// bottom, left
			f2vt(0.0f), f2vt(0.0f), f2vt(-1.0f),		// bottom, right
			f2vt(0.0f), f2vt(0.0f), f2vt(-1.0f),		// top, right
			f2vt(0.0f), f2vt(0.0f), f2vt(-1.0f),		// top, left
			//top face
			f2vt(0.0f), f2vt(1.0f), f2vt(0.0f),		// front, left
			f2vt(0.0f), f2vt(1.0f), f2vt(0.0f),		// front, right
			f2vt(0.0f), f2vt(1.0f), f2vt(0.0f),		// back, right
			f2vt(0.0f), f2vt(1.0f), f2vt(0.0f),		// back, left
			//bottom face
			f2vt(0.0f), f2vt(-1.0f), f2vt(0.0f),	// front, left
			f2vt(0.0f), f2vt(-1.0f), f2vt(0.0f),	// front, right
			f2vt(0.0f), f2vt(-1.0f), f2vt(0.0f),	// back, right
			f2vt(0.0f), f2vt(-1.0f), f2vt(0.0f),	// back, left
			//left face
			f2vt(-1.0f), f2vt(0.0f), f2vt(0.0f),	// bottom, back
			f2vt(-1.0f), f2vt(0.0f), f2vt(0.0f),	// bottom, front
			f2vt(-1.0f), f2vt(0.0f), f2vt(0.0f),	// top, front
			f2vt(-1.0f), f2vt(0.0f), f2vt(0.0f),	// top, back
			//right face
			f2vt(1.0f), f2vt(0.0f), f2vt(0.0f),		// bottom, back
			f2vt(1.0f), f2vt(0.0f), f2vt(0.0f),		// bottom, front
			f2vt(1.0f), f2vt(0.0f), f2vt(0.0f),		// top, front
			f2vt(1.0f), f2vt(0.0f), f2vt(0.0f)		// top, back
	};

	VERTTYPE uvs[] = {
			//front face
			f2vt(0.0f), f2vt(0.0f),	// bottom, left
			f2vt(1.0f), f2vt(0.0f),	// bottom, right
			f2vt(1.0f), f2vt(1.0f),	// top, right
			f2vt(0.0f), f2vt(1.0f),	// top, left
			//back face
			f2vt(1.0f), f2vt(0.0f),		// bottom, left
			f2vt(0.0f), f2vt(0.0f),		// bottom, right
			f2vt(0.0f), f2vt(1.0f),		// top, right
			f2vt(1.0f), f2vt(1.0f),		// top, left
			//top face
			f2vt(0.0f), f2vt(0.0f),		// front, left
			f2vt(1.0f), f2vt(0.0f),		// front, right
			f2vt(1.0f), f2vt(1.0f),		// back, right
			f2vt(0.0f), f2vt(1.0f),		// back, left
			//bottom face
			f2vt(0.0f), f2vt(1.0f),	// front, left
			f2vt(1.0f), f2vt(1.0f),	// front, right
			f2vt(1.0f), f2vt(0.0f),	// back, right
			f2vt(0.0f), f2vt(0.0f),	// back, left
			//left face
			f2vt(0.0f), f2vt(0.0f),	// bottom, back
			f2vt(1.0f), f2vt(0.0f),	// bottom, front
			f2vt(1.0f), f2vt(1.0f),	// top, front
			f2vt(0.0f), f2vt(1.0f),	// top, back
			//right face
			f2vt(1.0f), f2vt(0.0f),		// bottom, back
			f2vt(0.0f), f2vt(0.0f),		// bottom, front
			f2vt(0.0f), f2vt(1.0f),		// top, front
			f2vt(1.0f), f2vt(1.0f)		// top, back
	};

	GLushort indexesFront[] = {0,1,2,		0,2,3};
	GLushort indexesBack[] = {4,5,6,		4,6,7};
	GLushort indexesTop[] = {8,9,10,		8,10,11};
	GLushort indexesBottom[] = {12,13,14,	12,14,15};
	GLushort indexesLeft[] = {16,17,18,		16,18,19};
	GLushort indexesRight[] = {20,21,22,	20,22,23};
	GLushort indexesAll[] = {0,1,2, 0,2,3,  4,5,6, 4,6,7,  8,9,10, 8,10,11,  12,13,14, 12,14,15,  16,17,18, 16,18,19,  20,21,22, 20,22,23};
