/*
 * Xstuff.cpp
 *
 *  Created on: Nov 27, 2009
 *      Author: enash
 */

#include <stdio.h>
#include <stdlib.h>

#include "common.h"

Xstuff::Xstuff(int argc, char **argv) {

	// standard X setup - using DISPLAY environment variable
    display = XOpenDisplay(0);
    if(!display) {
    	printf("XOpenDisplay(0) failed\n");
    	exit(1);
    }

	Screen* screen = XDefaultScreenOfDisplay(display);
	int screeNum = XScreenNumberOfScreen(screen);

    long valueMask = 0;

    // all the color stuff
	XVisualInfo* visual = new XVisualInfo;
	XMatchVisualInfo(display, screeNum, DefaultDepth(display, screeNum), TrueColor, visual);
	if (!visual) {
		printf("XMatchVisualInfo failed\n");
    	exit(1);
	}
    swa.colormap = XCreateColormap(display, RootWindow(display, screeNum), visual->visual, AllocNone);
    valueMask |= CWColormap;

    XColor close, exact;
    if(XAllocNamedColor(display, swa.colormap, "green", &close, &exact)) {
        swa.background_pixel = close.pixel;
        valueMask |= CWBackPixel;
    }

    //events
    swa.event_mask = ButtonPressMask | KeyPressMask | Button1MotionMask;
    valueMask |= CWEventMask;

	// a window that really is full screen
    window = XCreateWindow(display, RootWindow(display, screeNum),
				0, 0, XWidthOfScreen(screen), XHeightOfScreen(screen), 0, //full screen, no border
				visual->depth, InputOutput, 0, valueMask, &swa);

    /*
    window = XCreateWindow(display, RootWindow(display, screeNum),
				0, 0, 320, 240, 0,
				visual->depth, InputOutput, 0, valueMask, &swa);
	*/
	XMapWindow(display, window);
	XFlush(display);

}

Xstuff::~Xstuff() {

	XDestroyWindow(display, window);
    XFreeColormap(display, swa.colormap );
	XCloseDisplay(display);
}
