/*
 * common.h
 *
 *  Created on: Dec 7, 2009
 *      Author: enash
 */

#ifndef COMMON_H_
#define COMMON_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#include <GLES/egl.h>
#include <GLES/gl.h>

void TestError(char* pszLocation);

// Defines to abstract float/fixed data for Common/CommonLite profiles
#ifdef PVRT_FIXED_POINT_ENABLE
#define VERTTYPE		GLfixed
#define VERTTYPEENUM	GL_FIXED
#define f2vt(x)			((int)((x)*65536))
#define myglLoadMatrix	glLoadMatrixx
#define myglMultMatrix glMultMatrixx
#define myglClearColor	glClearColorx
#define myglRotate		glRotatex
#define myglTranslate	glTranslatex
#define myglDepthRange	glDepthRangex
#define myglFrustum		glFrustumx
#define myglColor4		glColor4x
#define myglLightv		glLightxv
#define myglMaterialv	glMaterialxv
#define myglLightModelv	glLightModelxv
#define myglTexParameter	glTexParameterx
#define myglTexEnv		glTexEnvx
#define myglGetv		glGetFixedv
foo to force error
#else
#define VERTTYPE		GLfloat
#define VERTTYPEENUM	GL_FLOAT
#define f2vt(x)			(x)
#define myglLoadMatrix	glLoadMatrixf
#define myglMultMatrix glMultMatrixf
#define myglClearColor	glClearColor
#define myglRotate		glRotatef
#define myglTranslate	glTranslatef
#define myglDepthRange	glDepthRangef
#define myglFrustum		glFrustumf
#define myglColor4		glColor4f
#define myglLightv		glLightfv
#define myglLightModelv	glLightModelfv
#define myglMaterialv	glMaterialfv
#define myglTexParameter	glTexParameterf
#define myglTexEnv		glTexEnvf
#define myglGetv		glGetFloatv
#endif

// colors for timesys logo
enum CUBECOLOR {RED, YELLOW, GREEN, BLUE, BLACK, ORANGE, NOCOLOR};
#define RGB24toRGB565(r, g, b) (((r >> 3) << 11)| ((g >> 2) << 5) | (b >> 3))

#define ColorRED	RGB24toRGB565(255, 0, 0)
#define ColorYELLOW	RGB24toRGB565(255, 255, 0)
#define ColorGREEN	RGB24toRGB565(140, 198, 63)
#define ColorBLUE	RGB24toRGB565(0, 84, 128)
#define ColorBLACK	RGB24toRGB565(0, 0, 0)
#define ColorORANGE	RGB24toRGB565(248, 152, 29)
#define ColorWHITE	RGB24toRGB565(255, 255, 255)
#define ColorCHARCOAL RGB24toRGB565(76, 76, 76)

enum FACE {FRONT, LEFT, TOP, BACK, RIGHT, BOTTOM, NOFACE};
enum DIRECTION {CLOCKWISE, COUNTERCLOCKWISE, NODIRECTION};

// classes
#include "Cubette.h"
#include "Xstuff.h"
#include "Surface.h"
#include "Faces.h"
#include "Shadow.h"
#include "Cube.h"

// globals found in Globals.cpp
extern Cubette* littleCubes[27];

#endif /* COMMON_H_ */
